Xfce Forum

Sub domains
 

You are not logged in.

#1 2022-09-07 02:46:58

spillproff
Member
Registered: 2022-09-06
Posts: 3

[SOLVED] Authentication is needed to run '/usr/bin/xfpm-power-backl...

I'm receiving this pkexec pop-up everytime I attempt to scroll on the power manager plugin icon to change the brightness.
The full message from the pop-up is:

Authentication required
Authentication is needed to run '/usr/bin/xfpm-power-backlight-helper' as the super user

If I click the plugin icon and attempt to use the 'Display Brightness' slider, it brings up a pop-up that haults all control, even preventing me from attempting to input my password into the pop-up. I've tried reinstalling xfce4-power-manager through xbps and repo itself but it just keeps popping up. If I disable xfce4-power-manager in autostart, the pop-ups don't come up when I change the brightness but that also gets rid of the other power settings so it's not a good solution. Any help would be welcomed.

EDIT: On Void Linux.
ORIGINAL SUBJECT: Authentication is needed to run '/usr/bin/xfpm-power-backlight-helper'

Last edited by spillproff (2022-09-19 03:10:05)


On Void Linux 2021-09-30.

Offline

#2 2022-09-07 06:28:22

KBar
Moderator
Registered: 2021-11-05
Posts: 643

Re: [SOLVED] Authentication is needed to run '/usr/bin/xfpm-power-backl...

Without knowing much, I suspect the executable has the setuid bit set. What is the output of?

stat -c %a /usr/bin/xfpm-power-backlight-helper

Remember to edit the subject of your topic to include the [SOLVED] tag once you're satisfied with the answers or have found a solution (in which case, don't forget to share it as well), so that other members of the community can quickly refer to it and save their time. Pretty please! tongue

Offline

#3 2022-09-07 14:52:19

spillproff
Member
Registered: 2022-09-06
Posts: 3

Re: [SOLVED] Authentication is needed to run '/usr/bin/xfpm-power-backl...

It outputs: 755


On Void Linux 2021-09-30.

Offline

#4 2022-09-08 18:46:11

Tamaranch
Member
Registered: 2020-12-31
Posts: 112

Re: [SOLVED] Authentication is needed to run '/usr/bin/xfpm-power-backl...

What is the output of

cat /usr/share/polkit-1/actions/org.xfce.power.policy

Offline

#5 2022-09-19 03:08:43

spillproff
Member
Registered: 2022-09-06
Posts: 3

Re: [SOLVED] Authentication is needed to run '/usr/bin/xfpm-power-backl...

I am sorry that I forgot to respond to this thread. My friend helped me solve the issue. I had installed the xfce4-power-manager through github so all I did was go back into the git directory and do:

sudo make uninstall

and reinstalled the xfce4-power-manager through my package manager.
Marking as solved.


On Void Linux 2021-09-30.

Offline

Board footer

Powered by FluxBB